16040
#
#
#
#    Arpeg.mpl
#
#    An aperggiator of any chord played 
# 
#           Author           ID               Date
#       ------------    -----------          ---------
#       Serge Sibony    100417,2633          12/12/95
#      
#
# This file is a mpl effect definition used by MidiLang
#    MidiLang can be found at the MidiForum, in the
#         Windows sound media library.
# 
#
#
# This effect will split any chord played
#
#



Label Main

# The channel to be used is the channel 4
# if the midiin in coming from any other channel
# forget it 

CHAN!= 4
GOTO END

#
# forget any note off
#

VEL== 0
GOTO END

#
# at the first run, memorize the current time
#

V== 1 0
GOTO FIRST

#
# if current time - start time < beat (480), this note belongs to the chord
#

V=TIME 2

V-=V 2 1

V> 2 480
GOTO OUT
#
# out : this label is used at the start of a new chord
#

V=TIME 1

V+= 3 1
V=V 4 3
V*= 4 120
V-= 4 2

#
# new note to be played
# the delta time between two notes is 1/4 beats (120) 
#

TIME+=V 4

OUTMIDI

#
# do not forget to stop your note
#

TIME+= 120
VEL= 0
OUTMIDI

GOTO END

LABEL FIRST
V=TIME 1
GOTO END

LABEL OUT
OUTMIDI
TIME+= 120
VEL= 0
OUTMIDI

#
# new chord
#
V= 3 0
V=TIME 1

END



LABEL END
END

descript arpeggiator ( from Noel Cosgrave )
descript An arpeggiator takes a chord and splits it into
descript it's constituent notes which are then played serially
descript (only one at a time) rather than as a chord
descript ( it works only on channel 4 )
descript  draft version

