-21944
#
#
#
#    breath.mpl
#
#    copy chan1 -> Chan2
#       and replace breath control by volume control
#
#      Author            ID                 Date
#    ------------    -----------          ---------
#    Serge Sibony    100417,2633           01/17/96
#      
#
# This file is a mpl effect definition used by MidiLang
#    MidiLang can be found at the MidiForum, in the
#         Windows sound media library.
# 
#
# This effect replays any Note played in channel 1 to the channel 2
# and replace the breath control with the volume control
#
#
# This is an example of the use of the Midi Mapper
#

label init
unsavein
end

label mapper

status!= 0xB0
goto end
#only channel 1

data1!= 2
goto out
#only breath control

data1= 7

# switch to volume control

label out

# switch to channel 2
status= 0xB1

outmidi 

label end
end



label main

chan!= 1
goto mend
chan= 2
outmidi

label mend
end


descript        breath controller mapping
descript All notes found in channel 1 are copyed to
descript channel 2
descript All breath control are replaced by volume control
