7213
#
#
#
#    breath2.mpl
#
#    copy chan1 -> Chan2
#	inverse breath control and replace by volume control
#
#      Author            ID                 Date
#    ------------    -----------          ---------
#    Serge Sibony    100417,2633           01/17/96
#      
#
# This file is a mpl effect definition used by MidiLang
#    MidiLang can be found at the MidiForum, in the
#         Windows sound media library.
# 
# 
#
# This effect replays any Note played in channel 1 to the channel 2
# and replace the breath control with the volume control after
# inversion
#
#
# This is an example of the use of the Midi Mapper
#


label init

# initialisation of the curve

V= 200 127
V= 201 1

label loop
VV=V 201 200
V-= 200 1
V+= 201 1
V> 200 0
goto loop
end



label mapper

status!= 0xB0
goto end
#only channel 1

data1!= 2
goto out
#only breath control

data1= 7
# switch to volume control

#and inverse the effect
V=data2 201
V+= 201 1
V=VV 200 201

data2=V 200

label out
status= 0xB1
outmidi

#outmidi

label end
end



label main

chan!= 1
goto mend
chan= 2
outmidi

label mend
end



descript        breath controller mapping
descript All notes found in channel 1 are copyed to
descript channel 2
descript All breath control are replaced by volume control
descript the curve breath/volume is inverted