-1774
#
#
#
#    CBass.mpl
#
#    Automatic Basses for Midi Keyboard
#
#         Author            ID                 Date
#       ------------    -----------          ---------
#       Serge Sibony    100417,2633          09/06/95
#      
#
# This file is a mpl effect definition used by MidiLang
#    MidiLang can be found at the MidiForum, in the
#         Windows sound media library.
# 
# 
#
# This effect adds basses ( C D E C ) based on the bass
# you are playing ( on channel 2 ).
#
# The scale used here is C
#
#


Label Main

# Automatic Bass on C scale 

Chan!= 2  This Mpl works only for the Bass ( set your Midi Channel to 2 )
     Goto End  If the Note is not a Bass, forget it

InitHarm 1	 Initialize the harmony package


V=Note 9

CalcHarm 1          Your Bass is used as tonality
     Note= 0        the C is saved too
CalcHarm 1
     Note= 5        the F too
CalcHarm 1
     Note= 7        the G too
CalcHarm 1


V= 6 2


Label Loop          The loop for the 4 basses
V== 6 1
     Goto End
V== 6 5
V= 6 0

GetHarm 1 6 7       get the notes : 2 3 4 and 1 of the scale
Note=V 7
Note+=V 9
OutMidi             and send it

Time+= 240          next time is half a beat later

V+= 6 1             add 1 to v[6]

Goto Loop      and go back to Loop


Label End      End of the mpl effect
End


Descript  This effect adds basses automatically
Descript  based on the tonality played by you.
Descript  Note that this mpl suppose that your
Descript  Bass Midi Channel is set to 2.
Descript  The scale used is C.
