18650
#
#
#
#    Continue.mpl
#
#    An funny copier of your play
# 
#           Author           ID               Date
#       ------------    -----------          ---------
#       Serge Sibony    100417,2633          09/06/95
#      
#
# This file is a mpl effect definition used by MidiLang
#    MidiLang can be found at the MidiForum, in the
#         Windows sound media library.
# 
# 
#
# For each notes played, this effect will try to continue
# the melody. For example, if you play C and C#, this effect
# will play D, and so on, with the same tempo.
#
# This effect works only on the upper channel
#

Label Main
Chan!= 4
	goto end	bad channel, must be 4
Vel== 0			
	goto end	released note

V+= 1 1

V=V 5 2
V=V 6 3		copy old data
V=V 7 4	

V=note 2	mem the note
V=time 3	mem the time
V=Vel 4		mem the velocity

V< 1 2
	goto end	at least two notes necessary

V=V 8 2
V=V 9 3
V=V 10 4


V+=V 8 2	next note
V-=V 8 5

Note=V 8

V+=V 9 3
V-=V 9 6

Time=V 9

V=V 9 3
V-=V 9 6

V>= 9 240	too long note
  V= 9 240

Outmidi

Time+=V 9
Vel= 0
Outmidi		do not forget to release the note !


Label End	if bad channel or first note
End 	


Descript  This effect copies and tries to continue your play.
Descript  all your upper note will be extrapoled
Descript  (The effect will run after two notes played)
