3357
#
#
#
#    autobas.mpl
#
#    Automatic Scale of Bass for Midi Keyboard
#
#      Author            ID                 Date
#    ------------    -----------          ---------
#    Serge Sibony    100417,2633           09/06/95
#      
#
# This file is a mpl effect definition used by MidiLang
#    MidiLang can be found at the MidiForum, in the
#         Windows sound media library.
# 
# 
# This effect adds scale of basses ( C D E F G A C ) based on
# your melody.
#
#	The tonality is reset every 8 beats.
#
#	This mpl effect supposes that your bass channel is 2
#
#



Label beats
# to be run at each beat

v+= 10 1

v< 10 9
	goto suite

v= 10 1
beat= 0

v== 9 0		if no note have been played , wait
	goto end_beat

oldharm 1	reset the harmony
calcharm 1

Label suite

v== 9 0
	goto end_beat

getharm 1 10 5		get the note V[10]

Chan= 2
vel= 100
note=v 5
note+= 24
outmidi
time+= 479
vel= 0
outmidi

Label end_beat
end


Label Main		Every note played are sent 
CalcHarm 1		to the harmony package
v= 9 1
End

descript Automatic bass
descript based on your melody.
descript the scale is the one defined with
descript your melody.

