-5932
#
#
#
#    Echom.mpl
#
#    Example of Echo for Midi Keyboard
#
#          Author          ID  	             Date
#       ------------   -----------          ---------
# 	Serge Sibony   100417,2633          09/06/95
#      
#
# This file is a mpl effect definition used by MidiLang
#    MidiLang can be found at the MidiForum, in the
#         Windows sound media library.
# 
# 
#
# This effect adds echo of all notes played
#  The echo parameters ( length, volume...)
#  can be changed directly from your Midi Keyb.
#
#
#


Label faster
v*= 1 1.41214
end

Label slower
v/= 1 1.41214
end

Label softer
v*= 3 1.141214
end

Label harder
v/= 3 1.141214
end

Label chan-
v-= 2 1
end

Label chan+
v+= 2 1
end

Label main
v=v 4 1
V*= 4 480
time+=V 4
vel/=V 3
chan=v 2
outmidi
end

descript simple echo
descript with any delay, and out channel
descript all parameters chosen and modified
descript directly from the midi keyboard

keydef C C# faster faster delay 1 1
keydef C B slower slower

keydef D D# softer softer volume_divide 3 1.5
keydef D C# harder harder

keydef F E chan- chan- out_channel 2 4
keydef F F# chan+ chan+
